public class BspArrays
{
	public static void main(String[]args)
	{
		int[]vieleInt;
		vieleInt=new int[3];
		
		System.out.println("Anzahl Elemente von vieleInt: "+
			vieleInt.length);
		System.out.println("Inhalt vieleInt[1]: "+
			vieleInt[1]);
		vieleInt[1]=4711;
		System.out.println("Inhalt vieleInt[1]: "+
			vieleInt[1]);
		vieleInt[0]=1234;
		System.out.println("Inhalt vieleInt[0]: "+
			vieleInt[0]);
		for(int i=0;i<vieleInt.length;i++)
		{
			System.out.println("Schleife Inhalt vieleInt["+i+"]: "+
				vieleInt[i]);
		}
		
		char[]vieleZeichen={'s','w','#','@'};//Initialisierungsliste
		System.out.println("Anzahl Elemente von vieleZeichen: "+
			vieleZeichen.length);
		for(int i=0;i<vieleZeichen.length;i++)
		{
			System.out.println("Schleife Inhalt vieleZeichen["+i+"]: "+
				vieleZeichen[i]);
		}
		
		String[]vieleStrings={"sdfas","324ewq3r"};//Initialisierungsliste
		System.out.println("Anzahl Elemente von vieleStrings: "+
			vieleStrings.length);
		for(int i=0;i<vieleStrings.length;i++)
		{
			System.out.println("Schleife Inhalt vieleStrings["+i+"]: "+
				vieleStrings[i]);
		}
		
		Auto3[]vieleAuto3=new Auto3[2];
		System.out.println("Anzahl Elemente von vieleAuto3: "+
			vieleAuto3.length);
		System.out.println("Inhalt vieleAuto3[1]: "+
			vieleAuto3[1]);
		vieleAuto3[1]=new Auto3();
		System.out.println("Inhalt vieleAuto3[1]: "+
			vieleAuto3[1]);
		System.out.println("Inhalt Kennzeichen vieleAuto3[1]: "+
			vieleAuto3[1].getKennzeichen());
		Auto3 meinAuto=new Auto3("A-U 1234",5);
		vieleAuto3[0]=meinAuto;
		System.out.println("Inhalt Kennzeichen vieleAuto3[0]: "+
			vieleAuto3[0].getKennzeichen());
		System.out.println("Inhalt Kennzeichen meinAuto: "+
			meinAuto.getKennzeichen());
		meinAuto.setKennzeichen("hugo");
		System.out.println("Inhalt Kennzeichen vieleAuto3[0]: "+
			vieleAuto3[0].getKennzeichen());
		System.out.println("Inhalt Kennzeichen meinAuto: "+
			meinAuto.getKennzeichen());
		Auto3 seinAuto=new Auto3("M-U 4711",3);
		
		Auto3[]nochMehrAuto3={meinAuto,seinAuto};
		System.out.println("Anzahl Elemente von nochMehrAuto3: "+
			nochMehrAuto3.length);
		for(int i=0;i<nochMehrAuto3.length;i++)
		{
			System.out.println("Schleife Inhalt Kennz nochMehrAuto3["+i+"]: "+
				nochMehrAuto3[i].getKennzeichen());
		}
	}
}